#ifndef __OBJECTRECOGNITIONLISTENER_ICE
#define __OBJECTRECOGNITIONLISTENER_ICE

#include <jast/common/OrecObject.ice>
#include <jast/common/Timestamp.ice>

module jast {
    module listener {
        /**
          Listens for updates in the set of objects on the table.
         **/
        interface ObjectRecognitionListener {
            void recognizedObjects (::jast::common::OrecObjectList objects, ::jast::common::Timestamp time);
        };
    };
};

#endif // __OBJECTRECOGNITIONLISTENER_ICE
